import Popup from '@/components/popup'
import React, { useState, memo, useEffect } from "react";
import Taro, { getCurrentInstance } from "@tarojs/taro";
import { View, Swiper, SwiperItem, Text } from "@tarojs/components";
// import { AtIcon } from 'taro-ui'
import './index.scss'
import classnames from "classnames";
import AtCalendar from "@/components/calendar/index"


interface Props {
    showTime: true | false,
    closePopup?: () => void
}
export default memo((props: Props) => {
    let {
        showTime = false,
        closePopup
    } = props


    return (
        <Popup title={'选择时间'} show={showTime} onClose={() => closePopup?.()}>
            <AtCalendar />
        </Popup >
    )
})